## org.apache.fop.dom.svg
Class SVGTransformImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGTransformImpl

public class SVGTransformImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGTransform

Fields inherited from interface org.w3c.dom.svg.SVGTransform
`SVG_TRANSFORM_MATRIX, SVG_TRANSFORM_ROTATE, SVG_TRANSFORM_SCALE, SVG_TRANSFORM_SKEWX, SVG_TRANSFORM_SKEWY, SVG_TRANSFORM_TRANSLATE, SVG_TRANSFORM_UNKNOWN`

Constructor Summary
`SVGTransformImpl()`

Method Summary
`float` `getAngle()`
`org.w3c.dom.svg.SVGMatrix` `getMatrix()`
`short` `getType()`
`void` `setMatrix(org.w3c.dom.svg.SVGMatrix matrix)`
`void` `setRotate(float angle, float cx, float cy)`
`void` `setScale(float sx, float sy)`
`void` `setSkewX(float angle)`
`void` `setSkewY(float angle)`
`void` `setTranslate(float tx, float ty)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTransformImpl

    public SVGTransformImpl()

Method Detail

### getType

    public short getType()

  Specified by:
    getType in interface org.w3c.dom.svg.SVGTransform

### getMatrix

    public org.w3c.dom.svg.SVGMatrix getMatrix()

  Specified by:
    getMatrix in interface org.w3c.dom.svg.SVGTransform

### getAngle

    public float getAngle()

  Specified by:
    getAngle in interface org.w3c.dom.svg.SVGTransform

### setMatrix

    public void setMatrix(org.w3c.dom.svg.SVGMatrix matrix)

  Specified by:
    setMatrix in interface org.w3c.dom.svg.SVGTransform

### setTranslate

    public void setTranslate(float tx,
                             float ty)
                      throws org.w3c.dom.svg.SVGException

  Specified by:
    setTranslate in interface org.w3c.dom.svg.SVGTransform

### setScale

    public void setScale(float sx,
                         float sy)
                  throws org.w3c.dom.svg.SVGException

  Specified by:
    setScale in interface org.w3c.dom.svg.SVGTransform

### setRotate

    public void setRotate(float angle,
                          float cx,
                          float cy)
                   throws org.w3c.dom.svg.SVGException

  Specified by:
    setRotate in interface org.w3c.dom.svg.SVGTransform

### setSkewX

    public void setSkewX(float angle)
                  throws org.w3c.dom.svg.SVGException

  Specified by:
    setSkewX in interface org.w3c.dom.svg.SVGTransform

### setSkewY

    public void setSkewY(float angle)
                  throws org.w3c.dom.svg.SVGException

  Specified by:
    setSkewY in interface org.w3c.dom.svg.SVGTransform

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.